package org.omg.CORBA;

import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class StringHolder implements Streamable
{
    public String value;
    
    public StringHolder() {
    }
    
    public StringHolder(String value) {
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = inputStream.read_string();
    }
    
    public void _write(OutputStream outputStream) {
        outputStream.write_string(this.value);
    }
    
    public TypeCode _type() {
        return ORB.init().get_primitive_tc(TCKind.tk_string);
    }
}
